List audience segments
curl --request GET \
--url https://app.loops.so/api/v1/audience-segments \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.loops.so/api/v1/audience-segments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.loops.so/api/v1/audience-segments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pagination": {
"totalResults": 1,
"returnedResults": 1,
"perPage": 20,
"totalPages": 1,
"nextCursor": null,
"nextPage": null
},
"data": [
{
"id": "clr4c8t0v008yl70x3y4z5a6b",
"name": "Active users",
"description": "Users active in the last 30 days",
"createdAt": "2026-03-28T15:00:00.000Z",
"updatedAt": "2026-03-28T15:00:00.000Z",
"filter": {
"match": "all",
"conditions": [
{
"type": "property",
"key": "plan",
"operator": "equals",
"value": "pro"
}
]
}
}
]
}
{
"message": "Invalid perPage value"
}
Audience segments
List audience segments
Retrieve a paginated list of audience segments in your Loops account, including filter rules and contact counts, for use in campaign targeting.
GET
/
v1
/
audience-segments
List audience segments
Request
Query parameters
How many results to return in each request. Must be between 10 and 50.
A cursor to return a specific page of results. Cursors can be found from the
pagination.nextCursor value in each response.Response
Success
Show metadata
Show metadata
Total results found.
The number of results returned in this response.
The maximum number of results requested.
Total number of pages.
The next cursor (for retrieving the next page of results using the
cursor
parameter), or null if there are no further pages.The URL of the next page of results, or
null if there are no further
pages.Hide audience segment
Hide audience segment
The audience segment ID.
The segment name.
An optional description for the segment.
ISO 8601 timestamp for when the segment was created.
ISO 8601 timestamp for when the segment was last updated.
The segment’s audience filter. See Get an audience segment for the filter structure.
Error
IfperPage is invalid, a 400 Bad Request is returned.
If the API key is invalid (or content API is not enabled for your team), a
401 Unauthorized is returned.
An error message describing what went wrong.
{
"pagination": {
"totalResults": 1,
"returnedResults": 1,
"perPage": 20,
"totalPages": 1,
"nextCursor": null,
"nextPage": null
},
"data": [
{
"id": "clr4c8t0v008yl70x3y4z5a6b",
"name": "Active users",
"description": "Users active in the last 30 days",
"createdAt": "2026-03-28T15:00:00.000Z",
"updatedAt": "2026-03-28T15:00:00.000Z",
"filter": {
"match": "all",
"conditions": [
{
"type": "property",
"key": "plan",
"operator": "equals",
"value": "pro"
}
]
}
}
]
}
{
"message": "Invalid perPage value"
}
Last modified on June 29, 2026
Was this page helpful?
⌘I

